Subject: Re: today's linux-next fails to boot

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 11 Jul 2008 17:10:41 +0200

On Friday, 11 of July 2008, Ingo Molnar wrote:
> 
> * Török Edwin <[email-masked]> wrote:
> 
> > On 2008-07-11 16:59, Ingo Molnar wrote:
> > > * Török Edwin <[email-masked]> wrote:
> > >
> > >   
> > >>> [Added Ingo to Cc]
> > >>>
> > >>> I get the boot problem on i386 with 2008-07-11 linux-next tree, too.
> > >>> In my case, no error appears on the screen, just staying blank and
> > >>> dead.  It seems stopping at the very beginning, soon after GRUB, so
> > >>> could be the same reason.
> > >>>   
> > >>>       
> > >> I don't see any boot messages on the screen, I get that BUG message as
> > >> soon as grub's menu dissapears.
> > >> I have bisected it to this range so far:
> > >> git-bisect good aa03060a78c1aec53075a0c8ca7be19cedfbea8f
> > >> git-bisect bad b1611c0058bc6635e7257e755c3f194933a7a6df
> > >>
> > >> Should I continue to bisect?
> > >>     
> > >
> > > could you check latest tip/master, does it boot fine with the same 
> > > config?
> > 
> > tip/master boots fine.
> 
> to update linux-next to the latest bits in -tip, you can perhaps do 
> something like this:
> 
>  git-merge tip/auto-x86-next
>  git-merge tip/auto-core-next
>  git-merge tip/auto-cpus4096-next
>  git-merge tip/auto-ftrace-next
>  git-merge tip/auto-generic-ipi-next
>  git-merge tip/auto-genirq-next
>  git-merge tip/auto-latest
>  git-merge tip/auto-safe-poison-pointers-next
>  git-merge tip/auto-sched-next
>  git-merge tip/auto-stackprotector-next
>  git-merge tip/auto-timers-next
> 
> but it's easily possible that the bug is in some other portion of 
> linux-next.

Hm, I haven't tested the linux-next from today myself yet, but I have a related
question.  Namely, is there a way to get a log of commits that have been
added since the previous linux-next?

That may help to find a guilty patch if the yesterday's linux-next works.

Thanks,
Rafael